OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions | Variables
autoreplace_sl.cpp File Reference

Code handling saving and loading of autoreplace rules. More...

`#include "../stdafx.h"`
`#include "../autoreplace_base.h"`
`#include "saveload.h"`
`#include "../safeguards.h"`

Go to the source code of this file.

## Functions
static void | Save_ERNW ()
static void | Load_ERNW ()
static void | Ptrs_ERNW ()

## Variables
static const SaveLoad | _engine_renew_desc []
const ChunkHandler | _autoreplace_chunk_handlers []

## Detailed Description

Code handling saving and loading of autoreplace rules.

Definition in file autoreplace_sl.cpp.

## Variable Documentation

const ChunkHandler _autoreplace_chunk_handlers[]

Initial value:
{
{ 'ERNW', Save_ERNW, Load_ERNW, Ptrs_ERNW, NULL, CH_ARRAY | CH_LAST},
}

const SaveLoad _engine_renew_desc[]
| static

Initial value:
{
SLE_VAR(EngineRenew, from, SLE_UINT16),
SLE_VAR(EngineRenew, to, SLE_UINT16),
SLE_REF(EngineRenew, next, REF_ENGINE_RENEWS),
SLE_CONDVAR(EngineRenew, group_id, SLE_UINT16, 60, SL_MAX_VERSION),
SLE_CONDVAR(EngineRenew, replace_when_old, SLE_BOOL, 175, SL_MAX_VERSION),
}

Definition at line 19 of file autoreplace_sl.cpp.